#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE lan.protocol rlan.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR lanbrowsing-desktops
)

tde_create_translated_desktop(
  SOURCE lan.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/dirtree/remote
  PO_DIR lanbrowsing-desktops
)

tde_create_translated_desktop(
  SOURCE lan.desktop
  DESTINATION ${DATA_INSTALL_DIR}/remoteview
  PO_DIR lanbrowsing-desktops
)

tde_create_translated_desktop(
  SOURCE lisa.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/services
  PO_DIR lanbrowsing-desktops
)


##### tdeio_lan (module) ##########################

tde_add_kpart( tdeio_lan
  SOURCES tdeio_lan.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
